/**
 * Observer multiple metrics.
 *
 * @param {Array<MetricOpts | MetricType>} metricsOpts
 * @param {MetricObserverCallback} callback
 */
export function observeMetrics(metricsOpts: ("largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls" | {
    type: "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls";
    maxTimeout?: number | undefined;
    map?: Function | undefined;
})[], callback: (metric: any) => any): void;
/**
 * Compute metric by type using buffered values.
 *
 * @param {MetricType} metricType
 * @return {Promise<Object | null>}
 */
export function getMetricByType(metricType: "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls"): Promise<Object | null>;
/**
 * Observe `metricType`, if the value is already observed, return it.
 *
 * @param {MetricOpts | MetricType} metricOpts
 * @param {MetricObserverCallback} callback
 */
export function createMetricObserver(metricOpts: "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls" | {
    type: "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls";
    maxTimeout?: number | undefined;
    map?: Function | undefined;
}, callback: (metric: any) => any): void;
export type StrictMetricType = "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift";
export type MetricType = "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls";
export type MetricOpts = {
    type: "largest-contentful-paint" | "first-contentful-paint" | "first-input-delay" | "cumulative-layout-shift" | "fcp" | "lcp" | "fid" | "cls";
    maxTimeout?: number | undefined;
    map?: Function | undefined;
};
export type MetricObserverCallback = (metric: any) => any;
